.header {
	top: 0;
	left: 0;
	right: 0;
	z-index: 1200;
	position: absolute;
	padding: 38px 0 26px 0;

	&__wrap {
		padding-left: 25px;
		display: flex;
		align-items: flex-start;
		justify-content: space-between;
	}

	&__logo {
		color: $light-blue;
		font-weight: 700;
		font-size: 1.2rem;
		line-height: 1.7rem;
		letter-spacing: 0.3em;
		text-decoration: none;
		text-transform: uppercase;
		font-family: $font-family-head;
		display: block;


		&--image {
			font-size: 0;
			line-height: 0;
			height: 31px;
			display: block;
		}

		&--text {
			display: block;
			padding-top: 10px;
		}
	}

	&__toggle {
		margin-top: 2px;
		width: 26px;
		height: 26px;
		font-size: 0;
		line-height: 0;
		display: block;
		cursor: pointer;
		position: relative;
		text-decoration: none;

		span,
		&::after,
		&::before {
			left: 50%;
			z-index: 5;
			content: '';
			width: 22px;
			height: 2px;
			display: block;
			background: #fff;
			margin-left: -11px;
			border-radius: 2px;
			position: absolute;
			transition: .3s;
		}

		span {
			top: 50%;
			margin-top: -1px;
		}

		&::after {
			top: 5px;
		}

		&::before {
			bottom: 5px;
		}
	}

	&__nav {
		left: 0;
		top: 0;
		bottom: 0;
		width: 280px;
		z-index: 1300;
		position: fixed;
		font-weight: 600;
		font-size: 1.2rem;
		line-height: 2rem;
		padding: 45px 30px;
		margin-left: -300px;
		letter-spacing: 0.1em;
		background: #36439D;
		text-transform: uppercase;
		border-radius: 0 5px 5px 0;
		transition: .3s;

		ul {
			margin: 0;
			padding: 0;
			list-style: none;

			li {
				margin-bottom: 10px;

				a {
					padding: 5px 0;
					white-space: normal;
					text-decoration: none;
					display: inline-block;
					color: rgba(255, 255, 255, 0.7);

					&:hover {
						color: $light-blue;
						text-decoration: none;
					}
				}
			}
		}
	}

	@media (min-width: $screen-sm-min) {
		padding: 25px 0;

		&__wrap {
			padding-left: 0;
			align-items: center;
		}

		&__logo {
			display: flex;
			align-items: center;

			&--image {
				height: 48px;
			}

			&--text {
				padding-top: 3px; 
				margin-left: 42px;
			}
		}
	}
	
	@media (min-width: $screen-md-min) {
		padding-top: 21px;
	
		&__toggle {
			display: none;
		}

		&__logo {
			font-size: 1.4rem;
			line-height: 2rem;
		//	letter-spacing: 0.5em;

			&--text {
				padding-top: 6px;
				margin-left: 42px;
			}
		}

		&__nav {
			margin: 0;
			padding: 12px 0 0 0;
			top: auto;
			left: auto;
			bottom: auto;
			width: auto;
			height: auto;
			position: relative;
			background: transparent;

			ul {
				display: flex;
				align-items: center;

				li {
					margin-left: 27px;
				}
			}
		}
	}
	
	@media (min-width: $screen-lg-min) {
		padding: 15px 0;
	
		&__wrap {
			padding-left: 47px;
		}

		&__logo {
			letter-spacing: 0.3em;

			&--text {
				margin-left: 52px;
				padding-top: 5px;
			}
		}

		&__nav {
			padding: 12px 10px 0 0;

			ul {

				li {
					margin-left: 90px;
				}
			}
		}
	}
	
	@media (min-width: $screen-xl-min) {
		padding: 46px 0;
		
		&__wrap {
			padding: 0;
		}
		
		&__logo {
			font-size: 1.6rem;
			line-height: 2.2rem;
			letter-spacing: 0.3em;
			
			&--image {
				height: 69px;
			}

			&--text {
				margin-left: 32px;
				padding-top: 5px;
			}
		}
		
		&__nav {
			font-size: 1.4rem;
			line-height: 2rem;
			padding: 12px 0 0 0;

			ul {

				li {
					margin-left: 75px;
				}
			}
		}
	}
}


.nav-open {

	.header__toggle {

		span {
			display: none;
		}

		&::after {
			top: 12px;
			@include rotate(-45deg);
			transition: .3s;
		}
		
		&::before {
			bottom: 12px;
			@include rotate(45deg);
			transition: .3s;
		}
	}

	.header__nav {
		margin-left: 0;
		transition: .3s;
	}
}